# Uses of Class
org.eclipse.jdt.core.jdom.DOMException

Packages that use DOMException
Package
Description
org.eclipse.jdt.core.jdom
Provides a support for Java document manipulation through the JDOM model.

## Uses of DOMException in org.eclipse.jdt.core.jdom

Methods in org.eclipse.jdt.core.jdom that throw DOMException
Modifier and Type
Method
Description
`void`
IDOMNode.`addChild(IDOMNode child)`
Deprecated.
Adds the given un-parented node (document fragment) as the last child of this node.
`void`
IDOMNode.`insertSibling(IDOMNode sibling)`
Deprecated.
Inserts the given un-parented node as a sibling of this node, immediately before this node.